/// RGB Color
#[derive(Copy, Clone)]
pub struct Rgb {
    /// Red component 0-255
    pub r: u8,
    /// Green component 0-255
    pub g: u8,
    /// Blue component 0-255
    pub b: u8,
}

impl Rgb {
    pub(crate) fn to_u32(self) -> u32 {
        (self.r as u32) | ((self.g as u32) << 8) | ((self.b as u32) << 16)
    }
}
